component: DiagFormatting
proto_imports:
  - base/diag/example/formatting/diagnostics.proto
metric: DiagFormattingMetric
namespace: zoox::diag::example::formatting
faults:
  - id: 1
    name: SAMPLE_ERR
    severity: ERROR
    description: Sample Error message
  - id: 2
    name: SAMPLE_WARN
    severity: WARNING
    description: Sample Warning message
  - id: 3
    name: SAMPLE_ERR_FF
    severity: ERROR
    description: Sample Error with Freeze Frame
    freeze_frame: DiagFormatFF
  - id: 4
    name: SAMPLE_WARN_FF
    severity: WARNING
    description: Sample Warning with Freeze Frame
    freeze_frame: DiagFormatFF
